Skip to main content

Create Email Domain DNS Text

API Description​

Create a DNS text value so that you can make a subsequent request to Apple Business to verify your email domain.

note

Domain must be verified within 15 days

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED
emailId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/email-ids/{emailId}/dns-text
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids/9467895078742654966/dns-text

Request Headers​

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body​

None

Response​

201 Created or Error

Response Headers​

Name
apple-request-id
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: bb78ec43-d648-4c4f-9f8b-1f9fa3ea70f6

Response Body​

NameTypeOutput
textstring
REQUIRED
Example Response Body (raw JSON)
{
"text": "apple-domain-verification=RaNdOmLeTtErSaNdNuMbErS"
}